import type { RendererNode, RendererElement, VNode } from 'vue';
declare type ItemRenderOptions = {
    page: number;
    type: string;
    originalElement: VNode;
    prevText?: string;
    nextText?: string;
};
export declare function itemRender({ type, originalElement, prevText, nextText, }: ItemRenderOptions): VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>;
export {};
